# $Revision: 1.79 $, $Date: 2002/06/30 11:47:26 $
# Conditional build:
# --with static		- linked static 
#
Summary:	A DOS emulator
Summary(de):	DOS-Emulator
Summary(es):	Emulador DOS
Summary(fr):	Emulateur DOS
Summary(pl):	Emulator DOSa
Summary(pt_BR):	Emulador DOS
Summary(tr):	DOS yknmcs
Name:		dosemu
Version:	1.0.2
Release:	19
License:	GPL v2
Group:		Applications/Emulators
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/dosemu/%{name}-%{version}.tgz
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-pl-man-pages.tar.bz2
Source2:	%{name}-sys.tar.gz
Source3:	%{name}-PRZECZYTAJ_TO
Source4:	%{name}-README.PLD
Source5:	%{name}.desktop
Patch0:		ftp://ftp.sourceforge.net/pub/sourceforge/dosemu/patch-1.0.2.1.gz
Patch1:		%{name}-1.0.2-man-pages.patch
Patch2:		%{name}-0.98.1-security.patch
Patch3:		%{name}-make-new.patch
Patch4:		%{name}-Polish_keyboard.patch
Patch5:		%{name}-dosemu_conf.patch
Patch6:		%{name}-alt224.patch
Patch7:		pmstack.diff
Patch8:		%{name}-rawkeyboard-console.patch
Patch9:		%{name}-comcom.patch
Patch10:	%{name}-global.conf-xdos.patch
Patch11:	c_run_irqs.diff
URL:		http://www.dosemu.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	bin86
BuildRequires:	bison
#BuildRequires:	docbook-dtd-sgml
BuildRequires:	flex
#BuildRequires:	lynx
#BuildRequires:	openjade
BuildRequires:	perl
#BuildRequires:	sgml-tools
BuildRequires:	slang-devel
BuildRequires:	unzip
#Requires:	dos
%{?_with_static:BuildRequires:	glibc-static}
%{?_with_static:BuildRequires:	XFree86-static}
%{?_with_static:BuildRequires:	slang-static}
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	kernel < 2.0.28
Conflicts:	mtools < 3.6
Obsoletes:	xdosemu

%define		_xbindir	/usr/X11R6/bin
%define		_dosemudir	/var/lib/dosemu

%description
Dosemu is a DOS emulator. Once you've installed dosemu, start the DOS
emulator by typing in the "dos" command.

You need to install dosemu if you use DOS programs and you want to be
able to run them on your GNU/Linux system. You may also need to
install the dosemu-freedos-* packages.

%description -l es
Esta es una versin del emulador DOS que fue proyectada para
ejecutarse en secciones X Window. Ofrece soporte a grficos VGA como
tambin soporte a ratn.

%description -l pl
Dosemu to Emulator systemu DOS. Po zainstalowaniu moesz go uruchomi
komend "dos".

Jeli korzystasz z dosowych programw i chciaby je uruchamia na
twoim Linuksowym systemie zainstaluj dosemu. Moesz te potrzebowa
pakietw dosemu-freedos-*.

%description -l pt_BR
Essa  uma verso do emulador DOS que foi projetada para rodar em
sesses X Window. Oferece suporte para grficos VGA bem como suporte
para mouse.

%package -n xdosemu
Summary:	A DOS emulator for the X Window System
Summary(de):	DOS-Emulator fr X
Summary(es):	Emulador DOS que se ejecuta en X
Summary(fr):	mulateur DOS conu pou tre lanc sous X
Summary(pt_BR):	Emulador DOS que roda no X
Summary(tr):	X altnda alan DOS yknmcs
Group:		Applications/Emulators
Provides:	dosemu
Obsoletes:	dosemu
#Requires:	dos

%description -n xdosemu
Xdosemu is a version of the dosemu DOS emulator that runs with the X
Window System. Xdosemu provides VGA graphics and mouse support.

%description -n xdosemu -l de
Dies ist eine Version des DOS-Emulators fr X-Windows-Sitzungen. Er
untersttzt VGA-Grafiken und Maus.

%description -n xdosemu -l es
Esta es la versin del emulador DOS dibujada para ejecutarse en una
ventana del X Window. Posee soporte para grficos VGA y ratn.

%description -n xdosemu -l fr
Version de l'mulateur DOS conue pour tourner dans une session X.
Offre une gestion des graphismes VGA et de la souris.

%description -n xdosemu -l pl
Xdosemu jest wersj emulatora dosemu dziaajc w X Window System.
Xdosemu ma wsparcie dla grafiki VGA i obsugi myszki.

%description -n xdosemu -l pt_BR
Esta  a verso do emulador DOS desenhada para rodar em uma janela do
X Window. Possui suporte a grficos VGA e mouse.

%description -n xdosemu -l tr
Bu yazlm, DOS yknmcsnn X altnda alan bir srmdr. VGA
grafikleri ve fare destei vardr.

%package utils
Summary:	Utilities for dosemu
Summary(pl):	Programy pomocnicze do dosemu
Group:		Applications/Emulators
Requires:	dosemu

%description utils
Utilities for dosemu: dexeconfig, hdinfo, mkhdimage, mkfatimage16.

%description utils -l pl
Programy pomocnicze dla dosemu: dexeconfig, hdinfo, mkhdimage,
mkfatimage16.

%prep
%setup -q -a1 -a2
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p1
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p0

%build
OPTFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"; export OPTFLAGS

#./mkpluginhooks enable plugin_keyboard off plugin_kbd_unicode on \
#plugin_extra_charset on plugin_term on plugin_translate on plugin_demo off

cp -f base-configure.in configure.in
%{__autoconf}

# non-X version
%configure \
%{?_with_static:--enable-linkstatic} \
	--enable-new-intcode \
	--enable-aspi \
	--without-x

echo | %{__make}
mv -f bin/dosemu.bin bin/dos-nox

# X version
%configure \
%{?_with_static:--enable-linkstatic} \
	--enable-new-intcode \
	--enable-aspi
echo | %{__make}
mv -f bin/dosemu.bin bin/dos-x
mv -f bin/dos-nox bin/dosemu.bin

mv -f man/dosemu.bin.1 man/dos.1

# documentation
#%{__make} docs
#find src/doc -name "*.html" -exec cp -f '{}' doc/ ';'

# midid daemon
%{__make} midid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_xbindir},%{_sysconfdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT{%{_mandir}/man1,%{_mandir}/pl/man1} \
	$RPM_BUILD_ROOT%{_dosemudir}/bootdir/{dosemu,freedos/doc/fdkernel} \
	$RPM_BUILD_ROOT%{_applnkdir}/System
	
install bin/dosemu.bin $RPM_BUILD_ROOT%{_bindir}/dos
install bin/dos-x $RPM_BUILD_ROOT%{_xbindir}/dos
install bin/midid $RPM_BUILD_ROOT%{_bindir}/midid
ln -sf dos $RPM_BUILD_ROOT%{_xbindir}/xdos
ln -sf dos $RPM_BUILD_ROOT%{_xbindir}/dosexec
install bin/dosdebug $RPM_BUILD_ROOT%{_bindir}/dosdebug
install src/tools/periph/{dexeconfig,hdinfo,mkhdimage,mkfatimage16} $RPM_BUILD_ROOT%{_bindir}
ln -sf dos $RPM_BUILD_ROOT%{_bindir}/dosexec

install etc/dosemu.xpm $RPM_BUILD_ROOT%{_prefix}/X11R6/share/pixmaps
install etc/dosemu.users.secure $RPM_BUILD_ROOT%{_sysconfdir}/dosemu.users
install etc/global.conf $RPM_BUILD_ROOT%{_dosemudir}/global.conf
install etc/dosemu.conf $RPM_BUILD_ROOT%{_sysconfdir}/dosemu.conf

install man/{dos.1,dosdebug.1,xdos.1,mkfatimage16.1} $RPM_BUILD_ROOT%{_mandir}/man1
install pl/man1/{dos.1,dosdebug.1,xdos.1} $RPM_BUILD_ROOT%{_mandir}/pl/man1

install src/plugin/commands/*.com $RPM_BUILD_ROOT%{_dosemudir}/bootdir/dosemu
install dosemu/*.sys $RPM_BUILD_ROOT%{_dosemudir}/bootdir/dosemu
cp %{SOURCE3} PRZECZYTAJ_TO
cp %{SOURCE4} README.PLD
install %{SOURCE5} $RPM_BUILD_ROOT%{_applnkdir}/System/

#ln -sf dosemu/comcom.com $RPM_BUILD_ROOT%{_dosemudir}/bootdir/command.com

# Take out irritating ^H's from the documentation
for i in `ls --color=no doc/` ; do cat doc/$i > $i ; cat $i | perl -p -e 's/.\010//g' > doc/$i ; done

rm -f doc/{configuration,dosemu.lsm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc QuickStart COPYING ChangeLog* doc/* PRZECZYTAJ_TO README.PLD
%dir %{_dosemudir}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dosemu.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dosemu.users
%config(noreplace) %verify(not size mtime md5) %{_dosemudir}/global.conf
%attr(755,root,root) %{_bindir}/dos
%attr(755,root,root) %{_bindir}/dosdebug
%attr(755,root,root) %{_bindir}/dosexec
%attr(755,root,root) %{_bindir}/midid
%dir %{_dosemudir}/bootdir
%dir %{_dosemudir}/bootdir/dosemu
%{_dosemudir}/bootdir/dosemu/*
#%{_dosemudir}/bootdir/command.com
%{_mandir}/man1/[dm]*
%lang(pl) %{_mandir}/pl/man1/d*
%{_pixmapsdir}/dosemu.xpm

%files -n xdosemu
%defattr(644,root,root,755)
%doc QuickStart COPYING ChangeLog* doc/* PRZECZYTAJ_TO README.PLD
%dir %{_dosemudir}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dosemu.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dosemu.users
%config(noreplace) %verify(not size mtime md5) %{_dosemudir}/global.conf
%attr(755,root,root) %{_bindir}/dosdebug
%attr(755,root,root) %{_bindir}/midid
%attr(755,root,root) %{_xbindir}/*
%dir %{_dosemudir}/bootdir
%dir %{_dosemudir}/bootdir/dosemu
%{_dosemudir}/bootdir/dosemu/*
#%{_dosemudir}/bootdir/command.com
%{_mandir}/man1/[dm]*
%{_mandir}/man1/xdos.1*
%lang(pl) %{_mandir}/pl/man1/d*
%lang(pl) %{_mandir}/pl/man1/xdos.1*
%{_applnkdir}/System/*
%{_pixmapsdir}/dosemu.xpm

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dexeconfig
%attr(755,root,root) %{_bindir}/hdinfo
%attr(755,root,root) %{_bindir}/mkhdimage
%attr(755,root,root) %{_bindir}/mkfatimage16

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dosemu.spec,v $
Revision 1.79  2002/06/30 11:47:26  adgor
- midid daemon included

Revision 1.78  2002/06/25 22:22:05  adgor
- Directory %{_applnkdir}/System added to %%install

Revision 1.77  2002/06/25 13:14:03  ankry
- added applnk icon from DEVEL and some (commented out) doc changes
- release 18, STBR for buildlog

Revision 1.76  2002/06/25 12:42:53  ankry
- stable version back on head; devel on DEVEL, nfy

Revision 1.71.2.2  2002/06/22 13:55:19  ankry
- fixed also URL for patch0

Revision 1.71.2.1  2002/06/22 13:49:20  ankry
- switched source0 URL to a working one at sourceforge

Revision 1.71  2002/06/06 08:55:27  qboosh
- BR: autoconf

Revision 1.70  2002/05/25 21:41:13  qboosh
- new %%doc

Revision 1.69  2002/05/21 23:12:57  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%%\{__automake\}/; \
             s/^automake -a -c -f/\%%\{__automake\}/; \
	     s/^autoconf/\%%\{__autoconf\}/"

Revision 1.68  2002/05/14 21:40:01  juandon
- added patch c_run_irqs.diff
- Release 17
- STBR

Revision 1.67  2002/05/14 15:36:38  juandon
- added patch for global.conf, now xdos works better than before ;-)
- TODO: add .desktop file

Revision 1.66  2002/05/10 20:05:08  juandon
- added comcom.patch
- Rel 16
- STBR

Revision 1.65  2002/04/26 11:22:34  jack
- s/GPLv2/GPL\ v2/

Revision 1.64  2002/04/25 16:13:25  arturs
fixed a small typo

Revision 1.63  2002/04/24 08:54:39  juandon
-added README files

Revision 1.62  2002/04/08 21:33:27  juandon
- dosnet moved to dosnet.spec
- minimal dos moved to separate package
- added Requires: dos

Revision 1.61  2002/04/07 19:31:26  juandon
- upgrade rawkeyboard.patch

Revision 1.60  2002/04/07 16:50:41  juandon
- added two patches
- upgrade to newer FreeDos kernel
- Rel 14 STBR

Revision 1.59  2002/04/03 06:23:32  kloczek
- release 13.

Revision 1.58  2002/04/02 18:33:43  juandon
- added alt224.patch

Revision 1.57  2002/04/02 08:34:19  qboosh
- simplified

Revision 1.56  2002/03/22 15:18:26  ankry
- avoid control chars in spec

Revision 1.55  2002/03/17 16:06:25  dzimi
- update release numbers to build with new kernel release

Revision 1.54  2002/03/04 22:42:45  marcus
- use new macros (ver-rel)
- rel.11

Revision 1.53  2002/02/26 22:47:02  qboosh
- use requires_releq_kernel_{up,smp} macros, release 10

Revision 1.52  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.51  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.50  2002/02/15 22:38:00  qboosh
- release 9: marked config files with verify tags

Revision 1.49  2002/02/11 01:20:03  kloczek
- adapterized.

Revision 1.48  2002/02/10 19:18:59  marcus
- rel. 8. (for build with 2.2.20-10 and 2.4)

Revision 1.47  2002/02/04 10:52:25  juandon
- seldom used utilities moved to dosemu-utils.
- Release 7.

Revision 1.46  2002/02/03 14:46:44  qboosh
- xdosemu now contains complete X11-aware dosemu equivalent (Obsoletes added)
- release 6

Revision 1.45  2002/01/28 20:24:35  saq
- don't Obsolete xdosemu, it still exists

Revision 1.44  2002/01/28 01:07:34  kloczek
- release 5.

Revision 1.43  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.42  2002/01/18 22:51:49  kloczek
- release 4.

Revision 1.41  2002/01/18 22:19:36  qboosh
- fixed kernel-smp-net-dosnet release

Revision 1.40  2002/01/18 02:12:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2002/01/17 19:27:00  kloczek
- removed commented justroot patch,
- more merges translations from Conectiva.

Revision 1.38  2002/01/17 16:52:15  juandon
- fixed URL for official patch

Revision 1.37  2002/01/17 16:50:49  juandon
- added perl to BuildRequires
- added official patch
- added Polish keyboard patch
- commented justroot_patch
- dosnet SMP ready
- STBR

Revision 1.36  2002/01/16 11:57:04  filon
- added setting HELPPATH in autoexec.bat, help works now
- release 3

Revision 1.35  2001/12/25 15:55:38  qboosh
- xdosemu package with X-enabled dosemu version is back
  (but moved xdos to /usr/X11R6/bin)

Revision 1.34  2001/12/25 13:33:11  qboosh
- standarized dosnet subpackage (kernel-net-dosnet now)
- justroot, security and updated make-new patches are back
- changed dosemu_conf patch: disabled raw keyboard and console/graphics video
  (default configuration should be safe; these options are not)
- fixed conditional BuildRequires
- NFY (TODO: separate dosemu version without XFree86)

Revision 1.33  2001/12/22 13:43:44  juandon
- added info at top

Revision 1.32  2001/12/22 13:32:06  juandon
- added conditional build: --with static
- by default binaries are linked dynamically
- xdos is link now (xdos->dos)
- no more xdosemu package
- Release 2

Revision 1.31  2001/12/19 17:31:04  juandon
- removed some commented lines
- removed description of freedos (we have full freedos in separate packages)
- package dosemu-dosnet with kernel module dosnet.o
- STBR and STB all dosemu-freedos-*

Revision 1.30  2001/12/19 05:03:38  kloczek
- removed commented patches,
- merge translations from Conectiva.

Revision 1.29  2001/12/19 00:28:47  saq
- added dirs %%{_dosemudir}/bootdir{,/dosemu,/freedos} to %%files

Revision 1.28  2001/12/17 11:15:35  juandon
- added Prereq: /sbin/depmod

Revision 1.27  2001/12/17 08:42:25  juandon
- fixed autoexec.bat

Revision 1.26  2001/12/16 17:13:58  juandon
- upgraded to dosemu-1.0.2
- spec rewritten
- all files on native Linux filesystem
- vga.pcf moved to XFree86-fonts to avoid conflict with bochs
- upgraded to fresh freedos kernel
- freedos split into separate packages (in separate .spec-s)
- enabled vnet
- dosemu drivers (cdrom.sys etc) taken from previous dosemu
- all binaries link statically
- no suid
- added files keybpl.exe and egapl.exe useful for Poles
- by default H: is lredir-ed to directory=DOSDIR, where DOSDIR is Unix envar
- TODO: English manuals (names differ, so I don't include them into package)

Revision 1.25  2001/12/02 16:44:31  qrczak
- Regenerate base-configure (vanilla script uses grep A-Z which doesn't work).
- dosemu-cpp_macros.patch: fix two problems related to cpp.
- Release 6.
- But dosemu doesn't work at all for me anyway (SIGSEGV when using DPMI
  and other crashes).

Revision 1.24  2001/12/02 14:13:04  saq
- mark the config files (noreplace)
- change Requires mtools >= 3.6 to Conflicts mtools > 3.6 (isn't needed)
- release 5, STBR

Revision 1.23  2001/11/12 17:07:40  qboosh
- fixed %%postun freedos

Revision 1.22  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.21  2001/11/04 23:02:35  ankry
- removed man section from existing .so man pointers
- added missing dosexec.1 .so man pointer
- added pl man pages
- release 4

Revision 1.20  2001/07/20 20:37:07  migo
- added pl summary and/or description

Revision 1.19  2001/07/17 11:24:38  zagrodzki
- rel. 3
- added time patch

Revision 1.18  2001/04/06 23:25:03  kloczek
- release 2,
- few cosmetics.

Revision 1.17  2001/03/21 20:40:23  saq
- BuildRequires: bison, flex

Revision 1.16  2001/01/17 11:47:02  kloczek
- put pcf vga font in proper place (all fonts are installed in
  /usr/share/fonts),
- added gzipping font file.

Revision 1.15  2001/01/17 00:26:34  qboosh
- use %%{SOURCEn} macros
- added ChangeLog* and COPYING (GPL+additional section!) to %%doc
- BuildRequires: unzip

Revision 1.14  2000/12/18 11:01:05  qboosh
- Requires: kernel >= 2.0.28 -> Conflicts: kernel < 2.0.28

Revision 1.13  2000/10/29 09:50:03  kloczek
- added bin86 to BuildRequires.

Revision 1.12  2000/10/29 07:53:36  kloczek
- use new rpm automation and also spec adaptetrized,
- merge old BeroLinux de, fr, tr translations.

Revision 1.11  2000/09/13 20:19:15  mkochano
- Cosmetics and typos corrections in descriptions.

Revision 1.10  2000/08/22 09:48:47  zagrodzki
- adapterized

Revision 1.9  2000/08/20 16:34:09  tiwek
updated to 1.0.1

Revision 1.9  2000/08/17 07:22:49  tiwek
- release++

Revision 1.8  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/18 18:08:17  kloczek
- spec adapterized.

Revision 1.6  2000/04/25 16:16:48  baggins
- release++
- FHS 2.1, /var/state -> /var/lib

Revision 1.5  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.4  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  1999/12/02 02:31:28  kloczek
- fixed Source url,
- cuted %%changelog.

Revision 1.2  1999/11/02 13:24:36  baggins
- updated to 0.99.13
- spec based on rawhide

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw
